import { IsNotEmpty, IsUUID } from 'class-validator';
import { balanceType, coaType, statusTransaction, typeTransaction } from 'src/helper/enum-list';
import { EntityManager } from 'typeorm';

interface JournalEntry {
    coa_id: string;
    debit?: number;
    credit?: number;
}

export class CreateJournalDto {
    @IsNotEmpty()
    transactionalEntityManager: EntityManager;

    @IsNotEmpty()
    createTransaction?: boolean;

    @IsNotEmpty()
    userId?: string;

    @IsNotEmpty()
    transactionId?: string;

    @IsNotEmpty()
    type?: typeTransaction;

    @IsNotEmpty()
    amount?: number;

    @IsNotEmpty()
    transactionStatus?: statusTransaction;

    @IsNotEmpty()
    journals: JournalEntry[]
}
