import {
  Controller,
  Get,
  Post,
  Body,
  Patch,
  Param,
  Delete,
} from '@nestjs/common';
import { TransactionService } from './transaction.service';
import { DistributeTransactionDto } from './dto/distribute-transaction.dto';
import { OrderTransactionDto } from './dto/order-transaction.dto';
import { UpdateTransactionDto } from './dto/update-transaction.dto';

@Controller({
  path: 'transaction',
  version: '1',
})
export class TransactionController {
  constructor(private readonly transactionService: TransactionService) {}

  @Post('distribute')
  create(@Body() createTransactionDto: DistributeTransactionDto) {
    return this.transactionService.distributeDeposit(createTransactionDto);
  }

  @Post('order')
  orderTransaction(@Body() orderTransactionDto: OrderTransactionDto) {
    return this.transactionService.orderTransaction(orderTransactionDto);
  }
}
