import { forwardRef, Module } from '@nestjs/common';
import { TransactionService } from './transaction.service';
import { TransactionController } from './transaction.controller';
import { PpobCallbackController } from './ppob_callback.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { COA } from './entities/coa.entity';
import { CoaType } from './entities/coa-type.entity';
import { TransactionType } from './entities/transaction-type.entity';
import { TransactionJournal } from './entities/transaction-journal.entity';
import { Transactions } from './entities/transactions.entity';
import { CoaService } from './coa.service';
import { ProductModule } from '../product/product.module';
import { UsersModule } from 'src/users/users.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      CoaType,
      TransactionType,
      COA,
      TransactionJournal,
      Transactions,
    ]),
    ProductModule,
    forwardRef(() => UsersModule),
  ],
  controllers: [TransactionController, PpobCallbackController],
  providers: [TransactionService, CoaService],
  exports:[CoaService]
})
export class TransactionModule {}
