import { IsNotEmpty, IsOptional, IsUUID, ValidateIf } from 'class-validator';

export class CreateUserDto {
  @IsNotEmpty()
  username: string;

  @IsNotEmpty()
  password: string;

  @IsUUID()
  roleId: string;

  @ValidateIf((o) => {
    return !!o.superior;
  })
  @IsUUID()
  superior: string;
}
