import { Roles } from 'src/configurable/entities/roles.entity';
import {
  Entity,
  Column,
  PrimaryGeneratedColumn, ManyToOne,
} from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { hashPassword } from '../../helper/hash_password';

@Entity()
export class User extends BaseModel {
  @PrimaryGeneratedColumn('uuid')
  id: string;

  @Column()
  username: string;

  @Column()
  password: string;

  @Column()
  salt: string;

  @Column({ default: true })
  isActive: boolean;

  @ManyToOne(
    () => {
      return User;
    },
    (user) => {
      return user.id;
    },
  )
  superior: User;
  
  @ManyToOne(
    () => {
      return Roles;
    },
    (roles) => {
      return roles.id;
    },
  )
  roles: Roles;
}
